accessPackageAssignmentRequest: cancel
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD Entitlement Management, cancel accessPackageAssignmentRequest objects that are in a cancellable state: accepted, pendingApproval, pendingNotBefore, pendingApprovalEscalated.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
POST /identityGovernance/entitlementManagement/accessPackageAssignmentRequests/{id}/cancel
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
In the request body, supply a JSON representation of an accessPackageAssignmentRequest object.
For a non-administrator user to cancel their own request, the request must contain the id of the accessPackageAssignmentRequest and a requestStatus with a value of cancelled.
Response
If successful, this method returns a 200 OK response code. It does not return anything in the response body.
Examples
Request
POST https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignmentRequests/{id}/cancel
{
"id":"request-id",
"requestStatus":"cancelled"
}
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for